Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.closebot.com/bot/ai \ --header 'Content-Type: application/json' \ --header 'X-CB-KEY: <api-key>' \ --data ' { "name": "<string>", "description": "<string>", "category": "<string>", "folderId": "<string>" } '
{ "id": "<string>", "name": "<string>", "modifiedAt": "<string>", "modifiedBy": "<string>", "versions": [ { "version": "<string>", "name": "<string>", "published": true, "modifiedAt": "2023-11-07T05:31:56Z", "modifiedBy": "<string>" } ], "sources": [ { "id": "<string>", "category": "<string>", "key": "<string>", "name": "<string>", "tags": [ { "name": "<string>", "approveDeny": true, "id": "<string>" } ], "tagFilterConfig": { "operator": "<string>", "groups": [ { "operator": "<string>", "rules": [ { "tagName": "<string>", "tagId": "<string>", "condition": "<string>" } ] } ] }, "channelList": [ "<string>" ], "personaNameOverride": "<string>", "enabled": true, "flowVariableValues": {} } ], "personaIds": [ "<string>" ], "favorited": true, "locked": true, "reschedulingEnabled": true, "category": "<string>", "folderId": "<string>", "followUpActive": true, "followUpSequences": [ { "order": 123, "duration": 123, "unit": "<string>" } ], "smartFollowUp": true, "followUpRepeat": true, "followUpVarianceMinutes": 123, "followUpExtraPrompt": "<string>", "tools": [ { "id": "<string>", "type": "<string>", "enabled": true, "options": {} } ], "followUpStates": [ { "id": 123, "name": "<string>", "isDefault": true, "sequences": [ { "order": 123, "duration": 123, "unit": "<string>" } ], "repeatFinal": true, "extraPrompt": "<string>", "order": 123 } ] }
CloseBot API Key Authorization
The name of the new bot
The prompt to use to create the new bot
The source category of the new bot (GHL, WebHook, etc.)
The folder/group to place the newly created bot
Success
Show child attributes